Search messages within a thread
curl --request GET \
--url https://api.devic.ai/v1/agents/threads/{threadId}/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/agents/threads/{threadId}/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/agents/threads/{threadId}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"messageUid": "<string>",
"conversationId": "<string>",
"role": "<string>",
"snippet": "<string>",
"occurredAt": 123,
"agentId": "<string>",
"assistantId": "<string>"
}
],
"pagination": {
"total": 42,
"limit": 20,
"offset": 0,
"hasMore": true
}
}Agents
Search messages within a thread
Substring search across the messages of a single thread. Returns references (messageUid) to the matching messages with a text snippet.
GET
/
v1
/
agents
/
threads
/
{threadId}
/
search
Search messages within a thread
Authorizations
Use JWT token for authentication
Path Parameters
The ID of the thread
Query Parameters
Search term (substring)
Optional tenant filter within the client
⌘I